[Server]

# This is the secret key used by the server to encrypt messages sent to the client
# It *must be* 16, 24 or 32 bytes long !!!
ENC_KEY=difousdf7834gfdf

# Control code, used to verify the identity of the server
CONTROL_CODE=OkCode4456

# Padding character. Messages sent to the client must be a multiple of 16 in length, so
# padding may be necessary
PAD_CHAR=X

# Maximum wep key length. Don't change this value unless you know what you're doing
MAX_KEY_LEN=13

# Gives the local address LOCAL to the socket used by the server.
# LOCAL= should be fine for almost every unix environment.
# Under windows put the address of the server, for example 192.168.1.1
LOCAL=

# The server will listen on this port
PORT=11000

# Timeout (in seconds) for socket operations. 
# This setting also determines the "cycle" duration (see below).
SOCKET_TIMEOUT=15

# Reset wep key. This is the default wep key used by the server and the client when they're not
# synchronized 
DEFAULT_KEY=0123456789012

# Time (in seconds) to wait before resetting the wep key to the default one when the client 
# stops pinging the server
MAX_CLIENT_TIMEOUT=90

# Wireless interface; used only under linux
INTERFACE=wlan0

# Number of waiting cycles before changing the wep key when an unauthorized connection is detected.
# This settings (at the moment) works only on linux.
# See SOCKET_TIMEOUT for more information about the cycle duration.
MAX_UNAUTH_CNT=2

# Number of waiting cycles before resetting the wep key to the default one when WiFi has been
# blocked due to a persistent unauthorized connection.
# This settings (at the moment) works only on linux.
# See SOCKET_TIMEOUT for more information about the cycle duration.
MAX_BLOCK_CNT=2

# Time (in seconds) the server waits before changing the wep key.
# Timeout is computed using this formula:
# key_change_time + ( random number between 0 and key_change_diff )
# key_change_time must be > 0
KEY_CHANGE_TIME=900
KEY_CHANGE_DIFF=600


# Time (in seconds) to wait before changing the wep key when the client receives
# the new one from the server
KEY_CHANGE_DELAY=10

# Server type:
#  0 = Linux
#  1 = Windows XP SP2
SERVER_TYPE=0

